import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks'
import VoteFormProgressBar from './VoteFormProgressBar'

<Meta title="components/vote/progress" component={VoteFormProgressBar} />

# Vote form progress bar

Vote form progress bar

<Canvas withToolbar>
  <Story name="Vote form progress bar">
    <VoteFormProgressBar
      now={60}
      max={100}
    />
  </Story>
</Canvas>

### Properties

<ArgsTable of={VoteFormProgressBar} />

## Negative vote form progress bar

Negative vote form progress bar

<Canvas withToolbar>
  <Story name="Negative vote form progress bar">
    <VoteFormProgressBar
      now={-60}
      max={100}
    />
  </Story>
</Canvas>